  

.miam-counter-input {
  display: flex;
  user-select: none;
  align-items: center;
  justify-content: center;
  font-size: 14px;

  .miam-counter-input__icon {
    width: 24px;
    height: 24px;
    margin-right: 0px;
  }

  .miam-counter-input__button {
    margin: 0 8px;
    height: 24px;
    width: 24px;
    border-radius: 6px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;

    &.miam-counter-input__button__minus {
      border: solid 2px var(--m-color-secondary);
      &:hover {
        background-color: var(--m-color-secondary);
        ng-miam-icon{
          .icon-container{
            svg{
              path{
                fill: var(--m-color-unpure-white);
              }
            }
          }
        }
      }
    }

    &.miam-counter-input__button__plus {
      background-color: var(--m-color-hairlines);
      &:hover {
        background-color: var(--m-color-light-slate);
        ng-miam-icon{
          .icon-container{
            svg{
              path{
                fill: var(--m-color-hairlines);
              }
            }
          }
        }
        
      }
    }
  }

  .miam-counter-input__count {
    padding: 0;
    height: 24px;
    width: 40px;
    text-align: center;
    border-radius: 6px;
    border: solid 2px var(--m-color-primary);
    outline: none;
    &:focus {
      border-color: none;
      box-shadow: none;
    }
  }
}
